Name: H5Tlock
Signature:
  herr_t `H5Tlock`(hid_t `type_id` )
Purpose:
  Locks a datatype.
Description:
  `H5Tlock` locks the datatype specified by the `type_id` identifier, making it read-only and non-destructible. This is normally done by the library for predefined datatypes so the application does not inadvertently change or delete a predefined type. Once a datatype is locked it can never be unlocked.
Parameters:

hid_t `type_id` | Identifier of datatype to lock.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.